Bash script for use on wireguard hub/server to auto-configure new clients.
Output displays a QR code on the terminal for easy setup of wireguard mobile or PC apps.
Script must be run on central wireguard hub/server, but resulting QR works on a mobile terminal app or ssh-client (tested with Termux on android...some pinching/zooming necessary to get entire QR code showing on small screens).

During my initial wireguard setup, I ignored anything related to QR codes.
It didn't seem useful since I had a fixed/small number of systems to connect.
But now that I want to add some kid-phones, I'd like to avoid copy/pasting keys.

I previously had an android ad-blocker setup using the built-in 'Private DNS' feature and pi-hole.
It worked well for a few years, but started getting flaky after some android updates in early-2025.
That got me thinking about connecting to pi-hole using my wireguard VPN & I realized why the client QR codes are useful.

`qrencode` is in the main ubuntu 24.04 apt repository, so it should be a reliable dependency.
